This is the multi-page printable view of this section. Click here to print.
Revert Volume to snapshot
1 - 1.3
post /v1/volumes/{volume_id}/revert
Description
Revert a volume to its latest snapshot, this API only support reverting a detached volume, and the volume status must be available.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeRevertRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/revert
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790"
}
Example HTTP response
Response 202
2 - 1.2
post /v1/volumes/{volume_id}/revert
Description
Revert a volume to its latest snapshot, this API only support reverting a detached volume, and the volume status must be available.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeRevertRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/revert
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790"
}
Example HTTP response
Response 202
3 - 1.1
post /v1/volumes/{volume_id}/revert
Description
Revert a volume to its latest snapshot, this API only support reverting a detached volume, and the volume status must be available.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeRevertRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/revert
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790"
}
Example HTTP response
Response 202
4 - 1.0
post /v1/volumes/{volume_id}/revert
Description
Revert a volume to its latest snapshot, this API only support reverting a detached volume, and the volume status must be available.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeRevertRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/revert
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790"
}